//
// Simple D-register behavioural model
// To be used in Xtal_startup testbench
// Has small delay to show a-sync behaviour
//

module DregNegSet(
  input      clk,
  input      set_n,
  input      I,
  output reg Q
  );
begin
   always @(posedge clk or negedge set_n)
      if (!set_n)
         Q <= #1 1'b1;
      else
         Q <= #1 I;
end
endmodule // Dreg 
